/*
 * Copyright (C) 2006 Darren Salt
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef HAVE_GTK_ICON_THEME_CONTEXT_MENU_H
#define HAVE_GTK_ICON_THEME_CONTEXT_MENU_H

#include <gtk/gtkicontheme.h>
#include <gtk/gtkmenu.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_ICON_THEME_CONTEXT_MENU(obj)             (GTK_CHECK_CAST ((obj), gtk_icon_theme_context_menu_get_type (), GtkIconThemeContextMenu))
#define GTK_ICON_THEME_CONTEXT_MENU_CLASS(klass)     (GTK_CHECK_CLASS_CAST ((klass), gtk_icon_theme_context_menu_get_type (), GtkIconThemeContextMenuClass))
#define GTK_IS_ICON_THEME_CONTEXT_MENU(obj)          (GTK_CHECK_TYPE (obj, gtk_icon_theme_context_menu_get_type ()))
#define GTK_IS_ICON_THEME_CONTEXT_MENU_CLASS(klass)  (GTK_CHECK_CLASS_TYPE ((klass), gtk_icon_theme_context_menu_get_type ()))

  typedef GtkMenu GtkIconThemeContextMenu;
  
  struct _GtkIconThemeContextMenuClass {
    GtkMenuClass parent_class;
    void (*activate) (GtkWidget *, const gchar *, gpointer);
  };
  typedef struct _GtkIconThemeContextMenuClass GtkIconThemeContextMenuClass;

  GtkType    gtk_icon_theme_context_menu_get_type (void);
  GtkWidget* gtk_icon_theme_context_menu_new (void);
  GtkWidget* gtk_icon_theme_context_menu_new_with_default_theme (void);
  GtkWidget* gtk_icon_theme_context_menu_new_with_theme (GtkIconTheme *);
  GtkWidget* gtk_icon_theme_context_menu_new_with_named_theme (const gchar *);

  void gtk_icon_theme_context_menu_set_theme (GtkIconThemeContextMenu *, GtkIconTheme *);
  void gtk_icon_theme_context_menu_set_named_theme (GtkIconThemeContextMenu *, const gchar *);
  void gtk_icon_theme_context_menu_set_context (GtkIconThemeContextMenu *, const gchar *);

  GtkIconTheme *gtk_icon_theme_context_menu_get_theme (GtkIconThemeContextMenu *);
  G_CONST_RETURN gchar *gtk_icon_theme_context_menu_get_context (GtkIconThemeContextMenu *);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
